org.modeshape.sequencer.javafile.metadata

## Enum ImportMetadata.Type

- java.lang.Object
- - java.lang.Enum<ImportMetadata.Type>
  - - org.modeshape.sequencer.javafile.metadata.ImportMetadata.Type

- All Implemented Interfaces:
    Serializable, Comparable<ImportMetadata.Type>
  Enclosing class:
    ImportMetadata

      public static enum ImportMetadata.Type
      extends Enum<ImportMetadata.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ON_DEMAND`
    `SINGLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImportMetadata.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ImportMetadata.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ON_DEMAND

          public static final ImportMetadata.Type ON_DEMAND

    - #### SINGLE

          public static final ImportMetadata.Type SINGLE

  - ### Method Detail

    - #### values

          public static ImportMetadata.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImportMetadata.Type c : ImportMetadata.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImportMetadata.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.